{% include 'header.twig' %}
<!-- Main variables *content* -->

<section class="dashboard-head-wrapper">
  <div class="container-fluid">
    <div class="dashboard-head card-border">
      <div class="dhead-body">
        <h2 class="title">
                    Fill Balance on -{{ site['site_name'] }}
                    </h2>
        <p class="text">
                    Here you can top up your account to buy your services.
                  </p>
      </div>
      <div class="dhead-img-wrapper">
        <img src="https://cdn4.mypanel.link/6f7slz/hjd38x9quo3byspn.png" class="dhead-img" alt="Coin Moin">
      </div>
    </div>
  </div>
</section>

<section class="">
  <div class="container-fluid">
    <div class="row">
          <div class="col-lg-6 mb-4">
              <div class="card card-border">
                  <div class="card-header">
                      <div class="row align-items-center">
                          <div class="col-md">
                              <h3 class="card-title">
                                                                Add Funds
                                                              </h3>

                          </div>
                          <div class="col-md-auto">
 
                          </div>
                      </div>
                  </div><!-- ./card-header -->
                  
                  <div class="card-body">
										


										<form method="post" id="addfundsForm" action="/addfunds">

											<div class="form-group">
												<label for="method" class="control-label">{{ lang['addfunds.method'] }}</label>
												<select class="form-control" id="payment_method" name="payment_type">
													{% for method in site["paymentMethods"] %}
														<option value="{{ method['id'] }}">{{ method['name'] }}</option>
													{% endfor %}
												</select>
											</div>
											<input type="hidden" name="csrf_token" value="{{ csrfToken }}">
											<div id="addfunds_fields"></div>
										</form>
										<div id="formSubmitResponseMessage"></div>
										<div id="formSubmitResponseContent"></div>
                  </div>
              </div> 
          </div>
					

      <div class="col-lg-6">
								<div class="component_content_card component_content_button component_content_headers">
									<div class="table-wr table-responsive">
										<table class="table">
											<thead>
												<tr>
													<th>ID</th>
													<th>Date</th>
													<th>Method</th>
													<th>Amount</th>
												</tr>
											</thead>
											<tbody>
												{% for payment in payments %}
													<tr>
														<td>{{ payment['id'] }}</td>
														<td>{{ payment['date'] }}
														</td>
														<td>{{ payment['name'] }}</td>
														<td>
															{{ payment['amount'] }}
														</td>
													</tr>

												{% endfor %}
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
				<div class="divider-top"></div>
        <div class="divider-bottom"></div>
        <div class="container ludd">
 {% if contentText2 %}
 <div class="card mt-4 mb-4 ">	
{{ contentText2 }}
</div>
{% endif %}
</div>
</div>
							</div>
						</div>
					</div></div>
					
					
					
					
					
					
					
					{% include 'footer.twig' %}

			
			
			
			 <script>
        function searchID() {
    var service = $('#input_service').val();
    let errorSender = document.getElementById('error_search');
    let errorMsg = `<div class="alert alert-dismissible alert-danger">
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        Oops.. Wrong Services Id. Check services id and try again.
                    </div>`;
    try {
        console.log('Searching for service ID:', service);
        console.log('Available services:', window.modules.siteOrder);
        var selectSerCatID = window.modules.siteOrder.services[service].cid;
        console.log('Found category ID:', selectSerCatID);
        if (selectSerCatID) {
            errorSender.innerHTML = '';
            $(function () {
                var orderCat = document.getElementById('orderform-category');
                var orderSer = document.getElementById('orderform-service');
                orderCat.querySelector('[selected]').removeAttribute('selected');
                orderCat.querySelector('[value="' + selectSerCatID + '"]').setAttribute('selected', 'selected');
                orderCat.value = selectSerCatID;
                var event = document.createEvent('HTMLEvents');
                event.initEvent('change', true, false);
                orderCat.dispatchEvent(event);
                setTimeout(() => {
                    let controlSel = orderSer.querySelector('[selected]');
                    if (controlSel) {
                        controlSel.removeAttribute('selected');
                    }
                    orderSer.querySelector('[value="' + service + '"]').setAttribute('selected', 'selected');
                    orderSer.value = service;
                    orderSer.dispatchEvent(event);
                }, 1000);
                $('#pills-tab li:first-child button').tab('show');
            });
        }
    } catch (err) {
        console.error('Error:', err);
        errorSender.innerHTML = errorMsg;
    }
}

    </script>
			
			
			
			

			<script>
				var paymentMethods = {{ site["paymentMethodsJSON"] }};
			</script>
			<script>
				const addfundsRoute = "/addfunds";
function addfundsInit() {
var addfundsForm = $("#addfundsForm");
var fields = $("#addfunds_fields");
var selectedMethod = $("#payment_method").val();
var instructions = paymentMethods[selectedMethod][0].instructions;
$.ajax({
url: addfundsRoute,
data: "action=getForm&selectedMethod=" + selectedMethod,
type: "POST",
success: function (json) {
if (json.success == true) {
if (instructions.length > 0) {
var methodInstruction = '<div class="form-group"><label class="control-label">Instructions</label><div class="panel-body border-solid border-rounded">' + instructions + '</div></div>';
} else {
var methodInstruction = "";
} fields.html(methodInstruction + json.content);
extraFeeInit(selectedMethod);
}
}
});
}

function extraFeeInit(method) {
var fee = parseFloat(paymentMethods[method][0].fee).toFixed(2);
var fields = $("#fee_fields");
if (fee > 0) {
fields.html('<div class="form-group"><label class="control-label">Extra fee</label><input type="text" class="form-control" id="methodExtraFee" disabled value="0.00"/></div><div class="form-group"><label class="control-label">Total Amount</label><input type="text" id="totalAmount" class="form-control" disabled value="0.00" /></div>');
}
}
function preparePrice(t) {
n = 2;
var r = (t = $.trim(t.toString().replace(",", "."))).split(".");
return void 0 !== r[1] && (r[1] = r[1].replace(/0+$/g, ""), r[1].length > n && (n = 2 < r[1].length ? 2 : r[1].length)),
1e3 <= (t =( t = parseFloat(t)).toFixed(n)) && (t = t.toString().replace(/(\d)(?=(\d\d\d)+([^\d]|$))/g, "$1" + "")),
t = t.toString().replace(/\.(\d+)$/g, "." + "$1");
return t.toFixed(n)
}
$(document).ready(function () {
$(document).on("keyup", "#paymentAmount", function () {
var selectedMethod = $("#payment_method").val();
var amount = parseFloat($(this).val());
var feePercentage = parseFloat(paymentMethods[selectedMethod][0].fee);
var feeInput = $("#methodExtraFee");
var totalAmountInput = $("#totalAmount");
var fee = amount * (feePercentage / 100);
feeInput.val(preparePrice(fee));
totalAmountInput.val(preparePrice(amount + fee));
});
addfundsInit();
});
$("#payment_method").change(function () {
addfundsInit();
});

$("#addfundsForm").submit(function (e) {
e.preventDefault();
var data = $(this).serialize();

$.ajax({
url: addfundsRoute,
data: data,
type: "POST",
success: function (json) {
if (json.success == true) {
var msgDiv = $("#formSubmitResponseMessage");
msgDiv.html('<div class="alert alert-success alert-dismissible fade show mt-2" role="alert">' + json.message + '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button></div>');
var contentDiv = $("#formSubmitResponseContent");
contentDiv.html(json.content);
} else {
var msgDiv = $("#formSubmitResponseMessage");
msgDiv.html('<div class="alert alert-danger alert-dismissible fade show mt-2" role="alert">' + json.message + '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button></div>');
}
}

});
});
			</script>
